//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2013.09.05 at 02:22:05 PM COT 
//
package co.gov.igac.data.xsd;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java element interface
 * generated in the co.gov.igac.data.xsd package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the Java representation
 * for XML content. The Java representation of XML content can consist of schema derived interfaces
 * and classes representing the binding of schema type definitions, element declarations and model
 * groups. Factory methods for each of these are provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PropietarioTypeNumDoc_QNAME = new QName(
        "http://data.igac.gov.co/xsd", "numDoc");
    private final static QName _PropietarioTypeTipoDoc_QNAME = new QName(
        "http://data.igac.gov.co/xsd", "tipoDoc");
    private final static QName _PropietarioTypeNombre_QNAME = new QName(
        "http://data.igac.gov.co/xsd", "nombre");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes
     * for package: co.gov.igac.data.xsd
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ConstruccionType }
     *
     */
    public ConstruccionType createConstruccionType() {
        return new ConstruccionType();
    }

    /**
     * Create an instance of {@link PropietarioType }
     *
     */
    public PropietarioType createPropietarioType() {
        return new PropietarioType();
    }

    /**
     * Create an instance of {@link TerrenoType }
     *
     */
    public TerrenoType createTerrenoType() {
        return new TerrenoType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://data.igac.gov.co/xsd", name = "numDoc", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeNumDoc(String value) {
        return new JAXBElement<String>(_PropietarioTypeNumDoc_QNAME, String.class,
            PropietarioType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://data.igac.gov.co/xsd", name = "tipoDoc", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeTipoDoc(String value) {
        return new JAXBElement<String>(_PropietarioTypeTipoDoc_QNAME, String.class,
            PropietarioType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://data.igac.gov.co/xsd", name = "nombre", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeNombre(String value) {
        return new JAXBElement<String>(_PropietarioTypeNombre_QNAME, String.class,
            PropietarioType.class, value);
    }

}
